'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var writers = ['Гоголь Н. В.', 'Блок А.А.', 'Лесков Н.С.', 'Островский А.Н.', 'Тютчев Ф.И.', 'Фет А.А.', 'Гончаров И.А.', 'Цветаева М.И.', 'Лермонтов М.Ю.', 'Есенин С.А.', 'Чехов А.П.'];

var AddApprover = function AddApprover(_ref) {
	var dispatch = _ref.dispatch;

	var input = void 0;

	return _react2.default.createElement(
		'div',
		null,
		_react2.default.createElement('input', { type: 'text', defaultValue: 'Пушкин А.С.', ref: function ref(node) {
				input = node;
			} }),
		_react2.default.createElement(
			'button',
			{ onClick: function onClick() {
					dispatch((0, _actions.addItem)('approver', { employeeName: input.value }));
					input.value = writers[Math.floor(Math.random() * writers.length)];
				} },
			'Add approver'
		)
	);
};

AddApprover = (0, _reactRedux.connect)()(AddApprover);

exports.default = AddApprover;