'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactRedux = require('react-redux');

var _actions = require('../actions');

var _Icons = require('../components/Icons');

var _styles = require('../components/styles.css');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AddItem = function AddItem(_ref) {
	var dispatch = _ref.dispatch;
	var prevItemID = _ref.prevItemID;

	return _react2.default.createElement(
		'div',
		{ onClick: function onClick() {
				dispatch((0, _actions.addItem)('stage', { prevItemID: prevItemID }));
			}, className: _styles2.default.splitBtn },
		_react2.default.createElement(_Icons.ArrowUp, null),
		_react2.default.createElement(_Icons.ArrowDown, null)
	);
};

AddItem = (0, _reactRedux.connect)()(AddItem);

exports.default = AddItem;