import React, {Component} from 'react'
import RemoveBtn from './Buttons'

import css from './styles.css'

class ApprovalItem extends Component {
	render() {
		const {
			data,
			clickRemove
		} = this.props;
		return (
			<div className={css.item}>
				<div className='approvalRoute__controls line__unit'>
				</div>
				<div className='approverDetails line__unit--extended employeeGroup__item'>
					<div className={css.employee}>
						{data.employeeName}
					</div>
					<div className={css.employeePosition}>
						{data.employeePosition}
					</div>
					<div className={css.employeeCompany}>
						{data.employeeCompany}
					</div>

				</div>
				<RemoveBtn onClick={clickRemove}/>
			</div>
		);
	}
}

export default ApprovalItem
