import React from 'react'
import { connect } from 'react-redux'
import { addItem } from '../actions'
import { ArrowUp, ArrowDown } from '../components/Icons'

import css from '../components/styles.css'


let AddItem = ({ dispatch, prevItemID }) => {
	return (
		<div onClick={() => { dispatch(addItem('stage', {prevItemID: prevItemID})) }} className={css.splitBtn}>
			<ArrowUp/>
			<ArrowDown/>
		</div>
	);
};

AddItem = connect()(AddItem);

export default AddItem

