'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Buttons = require('./Buttons');

var _Buttons2 = _interopRequireDefault(_Buttons);

var _styles = require('./styles.css');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ApprovalItem = function (_Component) {
	_inherits(ApprovalItem, _Component);

	function ApprovalItem() {
		_classCallCheck(this, ApprovalItem);

		return _possibleConstructorReturn(this, Object.getPrototypeOf(ApprovalItem).apply(this, arguments));
	}

	_createClass(ApprovalItem, [{
		key: 'render',
		value: function render() {
			var _props = this.props;
			var data = _props.data;
			var clickRemove = _props.clickRemove;

			return _react2.default.createElement(
				'div',
				{ className: _styles2.default.item },
				_react2.default.createElement('div', { className: 'approvalRoute__controls line__unit' }),
				_react2.default.createElement(
					'div',
					{ className: 'approverDetails line__unit--extended employeeGroup__item' },
					_react2.default.createElement(
						'div',
						{ className: _styles2.default.employee },
						data.employeeName
					),
					_react2.default.createElement(
						'div',
						{ className: _styles2.default.employeePosition },
						data.employeePosition
					),
					_react2.default.createElement(
						'div',
						{ className: _styles2.default.employeeCompany },
						data.employeeCompany
					)
				),
				_react2.default.createElement(_Buttons2.default, { onClick: clickRemove })
			);
		}
	}]);

	return ApprovalItem;
}(_react.Component);

exports.default = ApprovalItem;