'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.MoveDownBtn = exports.UnionBtn = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icons = require('./Icons');

var _styles = require('./styles.css');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Cross = function Cross() {
	return _react2.default.createElement(
		'svg',
		{ fill: '#000000', viewBox: '0 0 24 24', xmlns: 'http://www.w3.org/2000/svg' },
		_react2.default.createElement('path', { d: 'M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z' })
	);
};

var RemoveBtn = function RemoveBtn(_ref) {
	var onClick = _ref.onClick;
	return _react2.default.createElement(
		'div',
		{ onClick: onClick, className: _styles2.default.removeBtn },
		_react2.default.createElement(Cross, null)
	);
};

var UnionBtn = exports.UnionBtn = function UnionBtn(_ref2) {
	var onClick = _ref2.onClick;
	return _react2.default.createElement(
		'div',
		{ onClick: onClick, className: _styles2.default.unionBtn },
		_react2.default.createElement(_Icons.ArrowDown, null),
		_react2.default.createElement(_Icons.ArrowUp, null)
	);
};

var MoveDownBtn = exports.MoveDownBtn = function MoveDownBtn(_ref3) {
	var onClick = _ref3.onClick;
	return _react2.default.createElement(
		'div',
		{ className: _styles2.default.example, onClick: onClick },
		_react2.default.createElement(_Icons.ArrowNext, null)
	);
};

exports.default = RemoveBtn;