'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _reactRedux = require('react-redux');

var _ApprovalRoute = require('../components/ApprovalRoute');

var _ApprovalRoute2 = _interopRequireDefault(_ApprovalRoute);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToApprovalListProps = function mapStateToApprovalListProps(state) {
	return {
		approvalRoute: state.approvalRoute
	};
};
var mapDispatchToApprovalListProps = function mapDispatchToApprovalListProps(dispatch) {
	return {
		clickRemove: function clickRemove(id) {
			dispatch({
				type: 'REMOVE_ROUTE_ITEM',
				id: id
			});
		},
		clickUnion: function clickUnion(id) {
			dispatch({
				type: 'REMOVE_ROUTE_ITEM',
				id: id
			});
		},
		clickMoveDown: function clickMoveDown(id) {
			dispatch({
				type: 'MOVE_DOWN_STAGE',
				id: id
			});
		}
	};
};
var ApprovalRouteContainer = (0, _reactRedux.connect)(mapStateToApprovalListProps, mapDispatchToApprovalListProps)(_ApprovalRoute2.default);

exports.default = ApprovalRouteContainer;