import React from 'react'
import { connect } from 'react-redux'
import { addItem } from '../actions'

let writers = ['Гоголь Н. В.', 'Блок А.А.','Лесков Н.С.','Островский А.Н.','Тютчев Ф.И.', 'Фет А.А.', 'Гончаров И.А.', 'Цветаева М.И.','Лермонтов М.Ю.','Есенин С.А.','Чехов А.П.']


let AddApprover = ({ dispatch }) => {
	let input;

	return (
		<div>
			<input type='text' defaultValue='Пушкин А.С.' ref={ node => {
				input = node;
			}}/>
			<button onClick={() => {
				dispatch(addItem('approver', {employeeName: input.value})) 			
				input.value = writers[Math.floor(Math.random()*writers.length)];
			}}>
				Add approver
			</button>
		</div>
	);
};

AddApprover = connect()(AddApprover);

export default AddApprover

