import { connect } from 'react-redux'
import ApprovalRoute from '../components/ApprovalRoute'

const mapStateToApprovalListProps = ( state ) => {
	return {
		approvalRoute: state.approvalRoute
	};
};
const mapDispatchToApprovalListProps = ( dispatch ) => {
	return {
		clickRemove: (id) => { 
			dispatch({
				type: 'REMOVE_ROUTE_ITEM',
				id: id
			})
		},
		clickUnion: (id) => {
			dispatch({
				type: 'REMOVE_ROUTE_ITEM',
				id: id
			})
		},
		clickMoveDown: (id) => {
			dispatch({
				type: 'MOVE_DOWN_STAGE',
				id: id
			})			
		}
	};
};
const ApprovalRouteContainer = connect(
	mapStateToApprovalListProps,
	mapDispatchToApprovalListProps
)(ApprovalRoute);

export default ApprovalRouteContainer