import React from 'react'
import ReactDOM from 'react-dom'
import { Provider } from 'react-redux'
import ApprovalListApp from './components/ApprovalListApp'
import store from './store/index.js'


const app = document.getElementById('app');

ReactDOM.render(
	<Provider store={store}>
		<ApprovalListApp />
	</Provider>,
	app
);


// module.exports = AppListApp
// "модуль" index.js не умеет сообщать webpack'у каким образом он хочет обновиться.
// module.hot.accept(); //"Я (index.js) умею hot-reload сам, для этого просто возьми и обнови меня в сгенерированном файле (/static/bundle.js)."

// вместо этого добавлен npm install react-hot-loader --save-dev